<?php
session_start();
   include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include("../scripts/session.php");
	//Validar Session
   $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/
   if(!$sesion->isValida("4"))
   { /*Sesion invalida*/
		header("Location: ../login.php?err=NoSesion");
   }/*no hay sesion 629 37 635 plaza mexico plaza bonita, desnivel, me bajo en cuanto salga del desnivel, esa calle se llama libra
    pared gris y la puerta color rojo libra 356*/
   else
   {
	  $dato=explode("|",$_SESSION['usuario']);
      $sesion->setDatos($dato[0],$dato[1],$dato[2]);
   }//fin validar session

echo "<script language='JavaScript' src='../scripts/Val.js'></script>";
   @$nombrec=$_POST['nombresal'];
   @$concepto=$_POST['conceptosal'];
   @ $autoriza=$_POST['autorizasal'];
   @$cuenta=$_POST['copia_cuenta'];
   $cdent=$_POST['entrega'];
	$nombreent=$_POST['entreganom'];
   @$ipago=$_POST['elpago'];
	@$ibanco=$_POST['banco'];
	@$ifolio=$_POST['folio'];
	@$ifecha=$_POST['fecha_i'];
	$tarjeta=0;
	  
	     
	     if($ibanco>=1){
	     $qx2 = "SELECT * from bancos  WHERE idbanco=$ibanco";
  
  $cx2 = mysqli_query($conexion, $qx2) or die ('Error en la consultasese' . mysqli_error($conexion));
  
  for($i=0;$r1 = mysqli_fetch_row($cx2);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];  
	  
$elbanco=$a1." ".$a2;
	}
}
	  
	  
	  switch($ipago)
				{
					
					case 1: $elpago="EFECTIVO"; break;
					case 2: $elpago="DEPOSITO"; break;
					case 3: $elpago="TARJETA"; break;
					case 4: $elpago="PORPAGAR"; break;
					case 5: $elpago="REGALIAS"; break;
				}


   function redondear($valor) {
$float_redondeado=round($valor * 100) / 100;
return $float_redondeado;
}

	   		// **********************************************************************************	
	   		function FechaFormateada($FechaStamp)
	   		{
				$ano = date('Y',$FechaStamp); //<-- A�o
				$mes = date('m',$FechaStamp); //<-- n�mero de mes (01-31)
				$dia = date('d',$FechaStamp); //<-- D�a del mes (1-31)
				$dialetra = date('w',$FechaStamp);  //D�a de la semana(0-7)
				switch($dialetra)
				{
					case 0: $dialetra="Domingo"; break;
					case 1: $dialetra="Lunes"; break;
					case 2: $dialetra="Martes"; break;
					case 3: $dialetra="Mi&eacute;rcoles"; break;
					case 4: $dialetra="Jueves"; break;
					case 5: $dialetra="Viernes"; break;
					case 6: $dialetra="S&aacute;bado"; break;
				}

				switch($mes) 

				{
					case '01': $mesletra="Enero"; break;
					case '02': $mesletra="Febrero"; break;
					case '03': $mesletra="Marzo"; break;
					case '04': $mesletra="Abril"; break;
					case '05': $mesletra="Mayo"; break;
					case '06': $mesletra="Junio"; break;
					case '07': $mesletra="Julio"; break;
					case '08': $mesletra="Agosto"; break;
					case '09': $mesletra="Septiembre"; break;
					case '10': $mesletra="Octubre"; break;
					case '11': $mesletra="Noviembre"; break;
					case '12': $mesletra="Diciembre"; break;
				}	    
				return "$dialetra, $dia de $mesletra de $ano";
			}

			$fecha = time();
  			$fechaT = FechaFormateada($fecha);
  			$hora = date("h:i A",time());

  		// **********************************************************************************

		
			
			           $gtot=0; $puntos=0;
  echo"<center><br><font size=\"5\"><b>Otras Salidas de Producto (nota de Salida)</b></font><br><BR>Tipo de Pago:<font size=\"4\" > <b>$elpago</b></font><br>";
 if($ipago==2){echo"Referencia: $ifolio&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Banco:$elbanco&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Fecha: $ifecha";}
 echo"<br><br>
 <TABLE CellPadding=5>
			<TR bgcolor=\"#FFCCFF\">
			
				<tD><b>Fecha:</b></td>
				<tD>$fechaT</td>
			</TR>
			<TR bgcolor=\"#FFEAFF\">
			
				<tD><b>Nombre:</b></td>
				<tD>$nombrec</td>
			</TR>
			<TR bgcolor=\"#FFCCFF\">
			
				<tD><b>Concepto</b></td>
				<tD>$concepto</td>
			</TR>
			<TR bgcolor=\"#FFEAFF\">
			
				<tD><b>Autoriza:</b></td>
				<tD>$autoriza</td>
			</TR>
			
			
			
			</table>
		
	   	<bR><font size=\"+2\">CD de Entrega: <b>$cdent $nombreent</b></font>";
			
			
			echo"
			
			<br><font color=\"#781313\"><b>**Esta nota no es v&aacute;lida como comprobante de compra**</b></font><br><br>
			<table CellPadding=5>
			<tr bgcolor=\"#FFCCFF\"><th><font color=\"#FFFFFF\">Cant</font></th><th><font color=\"#FFFFFF\">Producto</font></th>
			<th><font color=\"#FFFFFF\">Precio</font></th><th><font color=\"#FFFFFF\">Total</font></th></tr>";
	   		for ($k=0; $k<$cuenta; $k++)
		   	{
		   		if (@$_POST["cant$k"] > 0)
				{	
	   				$A1[$k]=$_POST["cant$k"];
	   				$A2[$k]=$_POST["copia_nombreProd$k"];
	   				$A3[$k]=$_POST["copia_precio$k"];
					$A4[$k]=$_POST["copia_id_prod$k"];
					@$A5[$k]=$_POST["copia_puntos$k"];
					$A6[$k]=$_POST["existencias$k"];
					if($A6[$k]<$A1[$k]){$continua=1;};
					$tot=$A1[$k]*$A3[$k];
					$gtot+=$tot;
					$puntot=$A1[$k]*$A5[$k];
					$puntos+=$puntot;
		   			echo "<font size=2><tr bgcolor=\"#FFEAFF\"><td align=\"center\" width=\"30\">$A1[$k]</td>  <td align=\"center\" width=\"160\">$A2[$k]</td>  
					<td align=\"center\" width=\"60\">$A3[$k]</td><td align=\"center\" width=\"70\">$tot</td></font></tr>";
		   		}	
		   	}
			if($ipago==3){$comtarjeta=$gtot*.04; $tarjeta=redondear($comtarjeta); $gtot+=$tarjeta;
				echo "<font size=2><tr bgcolor=\"#e8d78d\"><td align=\"center\" width=\"30\">1</td>  
				<td align=\"center\" width=\"160\">Plata 1000 TC</td>  
					<td align=\"center\" width=\"60\">$A3[$k]</td><td align=\"center\" width=\"70\">$tarjeta</td></font></tr>";
				
			}
			
			echo"</table>";
			
			
                   	echo"
			<br><table border=\"1\" bgcolor=\"#FFEAFF\">
			<tr>
			<td>Total a pagar:</td>
			<td><b>$ $gtot</b></td>
			</tr>
			<tr>
			<td>Puntos:</td>
			<td><b>$puntos</b></td>
			</tr>
			</table><bR><FORM ACTION='otrassalidas3.php' id='enviar' method='POST'>";
			if($ipago==3){echo"<font color=\"#294da7\"><b>**Favor de hacer el cargo a tarjeta por $ $gtot antes de continuar**</b></font><br>
			<table bgcolor=\"#990000\"><tr><td><font color=\"#ffffff\">No. de confirmaci&oacute;n del Banco</font></td><td><input type=\"text\" name=autbco size=\"10\" maxlength=\"10\"></td></tr></table><br><br>";    }else
			{echo"<font color=\"#294da7\"><b>**Favor de revisar los datos antes de continuar**</b></font><br>";}
                   

		
			for ($k=0; $k<$cuenta; $k++)
		   	{
		   		if ($_POST["cant$k"] > 0)
				{	
	   				$idprod = $_POST["copia_id_prod$k"];
					$cprecio = $_POST["copia_precio$k"];
	   				$canti = $_POST["cant$k"];
	   				$nombrep = $_POST["copia_nombreProd$k"];
	   				
	   				
					echo "<input type=hidden name=copia_id_prod$k value='$idprod'>
					<input type=hidden name=copia_gtot value='$gtot'>
					
						  <input type=hidden name=copia_precio$k value='$cprecio'>
						  <input type=hidden name=cant$k value='$canti'> 
						  <input type=hidden name=copia_nombreProd$k value='$nombrep'>
						  ";
		   		}	
		   	}
			echo "  
				  <input type=hidden name=copia_cuenta value='$cuenta'>
				  <input type=hidden name=copia_ptos value='$puntos'>
				  <input type='hidden' name='nombresal' value='$nombrec'>
						<input type='hidden' name='conceptosal' value='$concepto'>
						<input type='hidden' name='autorizasal' value='$autoriza'>
						<input type=hidden name=pago value=$ipago>
				  <input type=hidden name=pagos value=$elpago>
				  <input type=hidden name=fechad value=$ifecha>
				  <input type=hidden name=banco value=$ibanco>
				  <input type=hidden name=folio value=$ifolio>
				  <input type=hidden name=comision value=$tarjeta>
			<input type=hidden name=entrega value=$cdent>";
			
				if(@$continua!=1){
			echo "<input type='button' value='Cancelar Pedido' onclick=\"parent.location = 'index.php'\"> &nbsp;&nbsp;
					<INPUT TYPE=\"SUBMIT\" NAME='confirmap'  id='confirm' VALUE=\"Confirmar Pedido\" onclick='enviando();' >
						</FORM>	
					</body>
				</html>";
	  }else{echo"<br><bR>No se puede continuar con el pedido<br>Se estan solicitando m&aacute;s productos que las existencias";}
//}

		

		

   

   

?>

